// NEMESIS System Modifications
// IPLOG v1.00 for mystic 1.07.3 (linux)
//
// Author: icedevil
// Email: icedevil@icednet.org
//
// feel free to use this for whatever suits your needs,
// its just a small lil something that I'm releasing 
// for the hell of it. If you change this and redistribute
// just give credit where its due.

program iplog;

uses sysutils;

{$I mrec108.pas} // or {$I mrec1073.pas} if you use 1.07.3

type
	__chatdat = file of chatrec;

Const
	ipSoftID    = 'iplog';
	ipVersion   = '1.00 alpha 1';

var
	logfile : textfile;
	_chatdat : __chatdat;
	chatdat : chatrec;
	counter : integer;
	shouldExit : boolean;
	iplogDir : string;
	dataDir : string;
	
procedure writehelp;

begin
	writeln('Nemesis system modifications');
	write(ipsoftID + ' ' + ipVersion + ' ');
	writeln(' .,. Author: icedevil (c) 2003');
	writeln('');
	writeln('Usage: iplog [IP ADDRESS] [MYSTIC DATA PATH] [LOG PATH]');
	writeln('');
	write('Example: ');
	writeln('./iplog 192.168.1.1 /mystic/data/ /mystic/iplog/');
end;

begin
	if paramcount <> 3 then
		begin
			writehelp;
			exit;
		end;
	datadir := paramstr(2);
	counter := 1;
	shouldExit := false;
	repeat
		if fileexists(datadir+'chat'+inttostr(counter)+'.dat') then
		begin
			assign(_chatdat,datadir + 'chat' + inttostr(counter) + '.dat');
			reset(_chatdat,1);
			read(_chatdat,chatdat);
			if chatdat.active = false then
				shouldexit := true
			else
				inc(counter);
		end
		else
			if counter = 1 then
				begin
					writeln('error reading datafile!');
					exit;
				end
			else
				shouldExit := true;
	until shouldExit;
	iplogdir:=paramstr(3);
	assign(logfile,iplogdir + 'logfile' + inttostr(counter) + '.log');
	rewrite(logfile);
	writeln(logfile,paramstr(1));
	close(logfile);
end.
	
